public class TextureState
{
    public float noise;

    /** Chopiness factor for the waves */
    public float chop;

    /** Amount of deviation from a straight line the chop is allowed to be */
    public float angleDeviation;

    /** Direction the wind is acting in the X-Y plane only */
    public float[] windDirection;

    /** Maximum wavelength for all wave textures */
    public float maxLength;

    /** Minimum wavelength for all wave textures */
    public float minLength;

    /** amplitude / length */
    public float ampOverLength;

    /** How big to make the ripples of the texture wave versus the geometry wave */
    public float rippleScale;

    /** Amount of variation from the base speed permitted */
    public float speedDeviation;

    public int transIdx;
    public float transDel;

    public TextureState()
    {
        windDirection = new float[2];
    }
}

