//Author : Vrej Melkonian
//Date : Friday, June 25, 2004
//
//Fragment Shader, GLSL 1.00
//Derived from ARBfp1.0 with filename f_depthmap.txt
//

//The Render Target should be a floating point texture
void main()
{

    //Calculate depth
    vec4 len;
    len.x = dot ( gl_TexCoord [0], gl_TexCoord [0]);
    len = vec4 (len.x, len.x, len.x, len.x);

    len.w = inversesqrt (len.w);
    len *= len.w;

    //The range of len is not limited to [0..1]
    //We need floating point Render Target!!!
    gl_FragColor = len;

}
